This component is used to integrate a streetview tool (googlestreetview or mapillary) The tool has to be declared in the constant 'ngeoStreetviewOptions'. For mapillary the key (clientId) is needed as well.

module.constant('ngeoStreetviewOptions', { 'viewer': 'google', });

module.constant('ngeoStreetviewOptions', { 'viewer': 'mapillary', 'key': '', });

Example:

            <ngeo-streetview
                active="mainCtrl.streetViewActive"
                feature-style="mainCtrl.streetViewStyle"
                map="mainCtrl.map"
                panel-width="mainCtrl.toolsPanelWidth">
            </ngeo-streetview>

### Hierarchy

- StreetviewController

## Index

### Constructors

- constructor

### Methods

- $onInit

## Constructors

### constructor

- new StreetviewController($element: JQuery<HTMLElement>, $scope: IScope, ngeoFeatureOverlayMgr: FeatureOverlayMgr, $injector: IInjectorService, $timeout: ITimeoutService): StreetviewController

- - Defined in src/streetview/component.js:96
  nginject
  ngdoc

    controller

  ngname

    NgeoStreetviewController

  #### Parameters

  - ##### $element: JQuery<HTMLElement>

    Element.

  - ##### $scope: IScope

    Scope.

  - ##### ngeoFeatureOverlayMgr: FeatureOverlayMgr

    Ngeo

  - ##### $injector: IInjectorService

    Main injector.

  - ##### $timeout: ITimeoutService

    FeatureOverlay manager.

  #### Returns StreetviewController

## Methods

### $onInit

- $onInit(): void

- - Defined in src/streetview/component.js:227

  Called on initialization of the controller.

  #### Returns void

Generated using TypeDoc